# Library Loading Funtions
[Operating System Abstraction]

This module allows loading of shared libraries. More...

## Typedefs

typedef GWEN_LIBLOADERSTRUCT | GWEN_LIBLOADER

## Functions

GWENHYWFAR_API GWEN_ERRORCODE | GWEN_LibLoader_CloseLibrary (GWEN_LIBLOADER *h)
GWENHYWFAR_API void | GWEN_LibLoader_free (GWEN_LIBLOADER *h)
GWENHYWFAR_API GWEN_LIBLOADER * | GWEN_LibLoader_new ()
GWENHYWFAR_API GWEN_ERRORCODE | GWEN_LibLoader_OpenLibrary (GWEN_LIBLOADER *h, const char *name)
GWENHYWFAR_API GWEN_ERRORCODE | GWEN_LibLoader_OpenLibraryWithPath (GWEN_LIBLOADER *h, const char *path, const char *name)
GWENHYWFAR_API GWEN_ERRORCODE | GWEN_LibLoader_Resolve (GWEN_LIBLOADER *h, const char *name, void **p)

## Detailed Description

This module allows loading of shared libraries.

This module can be used to load libraries and to lookup symbols inside them.

Author:
  Martin Preuss<martin@libchipcard.de>

## Typedef Documentation

typedef struct GWEN_LIBLOADERSTRUCT GWEN_LIBLOADER

## Function Documentation

GWENHYWFAR_API GWEN_ERRORCODE GWEN_LibLoader_CloseLibrary | ( | GWEN_LIBLOADER * | h | ) |

GWENHYWFAR_API void GWEN_LibLoader_free | ( | GWEN_LIBLOADER * | h | ) |

| Frees the libloader. This does NOT automatically unload the library loaded using this loader ! But after freeing the loader you can not resolve more symbols. However, already resolved symbols remain accessible.

GWENHYWFAR_API GWEN_LIBLOADER* GWEN_LibLoader_new | ( |  | ) |

GWENHYWFAR_API GWEN_ERRORCODE GWEN_LibLoader_OpenLibrary | ( | GWEN_LIBLOADER * | h,
|  | const char * | name
| ) |

GWENHYWFAR_API GWEN_ERRORCODE GWEN_LibLoader_OpenLibraryWithPath | ( | GWEN_LIBLOADER * | h,
|  | const char * | path,
|  | const char * | name
| ) |

GWENHYWFAR_API GWEN_ERRORCODE GWEN_LibLoader_Resolve | ( | GWEN_LIBLOADER * | h,
|  | const char * | name,
|  | void ** | p
| ) |